emit(1)

NAME
emit - Emit a generic event

  Synopsis
emit EVENT_NAME

  Description
The emit builtin fires a generic fish event. Such events can be caught by special functions called event handlers.

  Example
The following code first defines an event handler for the generic event named 'test_event', and then emits an event of that type.

function event_test --on-event test_event
    echo event test!!!
end

emit test_event